Indicator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.frontpanel
Interface Indicator

All Superinterfaces:
  ResourceProxy

    public interface Indicator

extends ResourceProxy

This interface represents an indicator in the front panel display and allows its properties to be checked and set.

Method Summary
`BlinkSpec` | `getBlinkSpec()` Gets the blink specification for the front panel Indicator.
`BrightSpec` | `getBrightSpec()` Gets the brightness specification for the front panel Indicator.
`ColorSpec` | `getColorSpec()` Gets the Color specification for the front panel Indicator.
`void` | `setBlinkSpec(BlinkSpec blinkSpec)` Sets the blink specification for the front panel Indicator.
`void` | `setBrightSpec(BrightSpec brightSpec)` Sets the Brightness specification for the front panel Indicator.
`void` | `setColorSpec(ColorSpec colorSpec)` Sets the Color specification for the front panel Indicator.

Methods inherited from interface org.davic.resources.ResourceProxy
`getClient`

Method Detail

### getBrightSpec

    BrightSpec getBrightSpec()

  Gets the brightness specification for the front panel Indicator. Changing values within the object returned by this method does not take affect until one of the set methods in this interface is called and the object is passed to the implementation.

  Returns:
    LED front panel brightness specification.

### setBrightSpec

    void setBrightSpec(BrightSpec brightSpec)
                       throws IllegalStateException

  Sets the Brightness specification for the front panel Indicator.

  Parameters:
    `brightSpec` - Brightness specification.
  Throws:
    `IllegalArgumentException` - if null is passed in.
    `IllegalStateException` - if the Indicator resource was lost.

### getColorSpec

    ColorSpec getColorSpec()

  Gets the Color specification for the front panel Indicator. Changing values within the object returned by this method does not take affect until one of the set methods in this interface is called and the object is passed to the implementation.

  Returns:
    LED front panel Color specification or MAY return null if changing the color is not supported.

### setColorSpec

    void setColorSpec(ColorSpec colorSpec)
                      throws IllegalStateException

  Sets the Color specification for the front panel Indicator.

  Parameters:
    `colorSpec` - Color specification if color is desired.
  Throws:
    `IllegalArgumentException` - if null is passed in.
    `IllegalStateException` - if the Indicator resource was lost.

### getBlinkSpec

    BlinkSpec getBlinkSpec()

  Gets the blink specification for the front panel Indicator. Changing values within the object returned by this method does not take affect until one of the set display methods in this interface is called and the object is passed to the implementation.

  Returns:
    LED front panel blink specification or MAY return null if blinking is not supported.

### setBlinkSpec

    void setBlinkSpec(BlinkSpec blinkSpec)
                      throws IllegalStateException

  Sets the blink specification for the front panel Indicator.

  Parameters:
    `blinkSpec` - Blink specification if blinking is desired. A value of null turns blinking off.
  Throws:
    `IllegalStateException` - if the Indicator resource was lost.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD